Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim.impl
Class RegistryObjectTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._2._1.rim.impl.RegistryObjectTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, RegistryObjectType

Direct Known Subclasses:
  AssociationType1Impl, AuditableEventTypeImpl, ClassificationNodeTypeImpl, ClassificationTypeImpl, ExternalIdentifierTypeImpl, ExternalLinkTypeImpl, OrganizationTypeImpl, RegistryEntryTypeImpl, ServiceBindingTypeImpl, SpecificationLinkTypeImpl, UserTypeImpl

    public class RegistryObjectTypeImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements RegistryObjectType

An implementation of the model object 'Registry Object Type'.

The following features are implemented:

- `Name`
- `Description`
- `Slot`
- `Classification`
- `External Identifier`
- `Access Control Policy`
- `Id`
- `Object Type`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetDescription(InternationalStringType newDescription, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetName(InternationalStringType newName, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`java.lang.String` | `getAccessControlPolicy()`
`org.eclipse.emf.common.util.EList` | `getClassification()`
`InternationalStringType` | `getDescription()`
`org.eclipse.emf.common.util.EList` | `getExternalIdentifier()`
`java.lang.String` | `getId()`
`InternationalStringType` | `getName()`
`java.lang.String` | `getObjectType()`
`org.eclipse.emf.common.util.EList` | `getSlot()`
`void` | `setAccessControlPolicy(java.lang.String newAccessControlPolicy)`
`void` | `setDescription(InternationalStringType newDescription)`
`void` | `setId(java.lang.String newId)`
`void` | `setName(InternationalStringType newName)`
`void` | `setObjectType(java.lang.String newObjectType)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getName

    public InternationalStringType getName()

  Specified by:
    `getName` in interface `RegistryObjectType`
  Returns:
    the value of the 'Name' containment reference.
  See Also:
    `RegistryObjectType.setName(InternationalStringType)`, `RimPackage.getRegistryObjectType_Name()`

### basicSetName

    public org.eclipse.emf.common.notify.NotificationChain basicSetName(InternationalStringType newName,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setName

    public void setName(InternationalStringType newName)

  Specified by:
    `setName` in interface `RegistryObjectType`
  Parameters:
    `newName` - the new value of the 'Name' containment reference.
  See Also:
    `RegistryObjectType.getName()`

### getDescription

    public InternationalStringType getDescription()

  Specified by:
    `getDescription` in interface `RegistryObjectType`
  Returns:
    the value of the 'Description' containment reference.
  See Also:
    `RegistryObjectType.setDescription(InternationalStringType)`, `RimPackage.getRegistryObjectType_Description()`

### basicSetDescription

    public org.eclipse.emf.common.notify.NotificationChain basicSetDescription(InternationalStringType newDescription,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

### setDescription

    public void setDescription(InternationalStringType newDescription)

  Specified by:
    `setDescription` in interface `RegistryObjectType`
  Parameters:
    `newDescription` - the new value of the 'Description' containment reference.
  See Also:
    `RegistryObjectType.getDescription()`

### getSlot

    public org.eclipse.emf.common.util.EList getSlot()

  Specified by:
    `getSlot` in interface `RegistryObjectType`
  Returns:
    the value of the 'Slot' containment reference list.
  See Also:
    `RimPackage.getRegistryObjectType_Slot()`

### getClassification

    public org.eclipse.emf.common.util.EList getClassification()

  Specified by:
    `getClassification` in interface `RegistryObjectType`
  Returns:
    the value of the 'Classification' containment reference list.
  See Also:
    `RimPackage.getRegistryObjectType_Classification()`

### getExternalIdentifier

    public org.eclipse.emf.common.util.EList getExternalIdentifier()

  Specified by:
    `getExternalIdentifier` in interface `RegistryObjectType`
  Returns:
    the value of the 'External Identifier' containment reference list.
  See Also:
    `RimPackage.getRegistryObjectType_ExternalIdentifier()`

### getAccessControlPolicy

    public java.lang.String getAccessControlPolicy()

  Specified by:
    `getAccessControlPolicy` in interface `RegistryObjectType`
  Returns:
    the value of the 'Access Control Policy' attribute.
  See Also:
    `RegistryObjectType.setAccessControlPolicy(String)`, `RimPackage.getRegistryObjectType_AccessControlPolicy()`

### setAccessControlPolicy

    public void setAccessControlPolicy(java.lang.String newAccessControlPolicy)

  Specified by:
    `setAccessControlPolicy` in interface `RegistryObjectType`
  Parameters:
    `newAccessControlPolicy` - the new value of the 'Access Control Policy' attribute.
  See Also:
    `RegistryObjectType.getAccessControlPolicy()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `RegistryObjectType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `RegistryObjectType.setId(String)`, `RimPackage.getRegistryObjectType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `RegistryObjectType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `RegistryObjectType.getId()`

### getObjectType

    public java.lang.String getObjectType()

  Specified by:
    `getObjectType` in interface `RegistryObjectType`
  Returns:
    the value of the 'Object Type' attribute.
  See Also:
    `RegistryObjectType.setObjectType(String)`, `RimPackage.getRegistryObjectType_ObjectType()`

### setObjectType

    public void setObjectType(java.lang.String newObjectType)

  Specified by:
    `setObjectType` in interface `RegistryObjectType`
  Parameters:
    `newObjectType` - the new value of the 'Object Type' attribute.
  See Also:
    `RegistryObjectType.getObjectType()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD